Skip to content
Developer

OfferAccountingType

Billing4 EndpointsBilling / OfferAccountingType

Returns a list of all OfferAccountingType

GET/api/invoice/offeraccountingtypes

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all OfferAccountingTypearray<OfferAccountingType>

Show fields (7)
  • idinteger

    Primary key of the offer accounting type. Internal ID.

  • namestringrequired

    Name of the accounting type.

  • cancelled_namestring

    Name used when an offer of this type is canceled.

  • typestringrequired

    Type of the accounting type, for example offer or contract.

  • conditionsstring

    Conditions printed on the offer.

  • number_descriptionstring

    Description of the number format of the offer.

  • deletedboolean

    The accounting type is deleted.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "number_description": "Text",
    "conditions": "string",
    "deleted": true
  }
]

Add a new OfferAccountingType

POST/api/invoice/offeraccountingtypes

Request body application/json

  • dataOfferAccountingType
    Show fields (7)
    • idinteger

      Primary key of the offer accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type.

    • cancelled_namestring

      Name used when an offer of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example offer or contract.

    • conditionsstring

      Conditions printed on the offer.

    • number_descriptionstring

      Description of the number format of the offer.

    • deletedboolean

      The accounting type is deleted.

Responses

200Add a new OfferAccountingTypeOfferAccountingType

Show fields (7)
  • idinteger

    Primary key of the offer accounting type. Internal ID.

  • namestringrequired

    Name of the accounting type.

  • cancelled_namestring

    Name used when an offer of this type is canceled.

  • typestringrequired

    Type of the accounting type, for example offer or contract.

  • conditionsstring

    Conditions printed on the offer.

  • number_descriptionstring

    Description of the number format of the offer.

  • deletedboolean

    The accounting type is deleted.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "number_description": "Text",
    "conditions": "string"
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "type": "string",
  "id": 42,
  "cancelled_name": "Beispiel",
  "number_description": "Text",
  "conditions": "string",
  "deleted": true
}

Get a single OfferAccountingType

GET/api/invoice/offeraccountingtypes/{identifier}

Path parameters

identifierrequiredstring

Responses

200Get a single OfferAccountingTypeOfferAccountingType

Show fields (7)
  • idinteger

    Primary key of the offer accounting type. Internal ID.

  • namestringrequired

    Name of the accounting type.

  • cancelled_namestring

    Name used when an offer of this type is canceled.

  • typestringrequired

    Type of the accounting type, for example offer or contract.

  • conditionsstring

    Conditions printed on the offer.

  • number_descriptionstring

    Description of the number format of the offer.

  • deletedboolean

    The accounting type is deleted.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "type": "string",
  "id": 42,
  "cancelled_name": "Beispiel",
  "number_description": "Text",
  "conditions": "string",
  "deleted": true
}

Update an OfferAccountingType

PUT/api/invoice/offeraccountingtypes/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataOfferAccountingType
    Show fields (7)
    • idinteger

      Primary key of the offer accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type.

    • cancelled_namestring

      Name used when an offer of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example offer or contract.

    • conditionsstring

      Conditions printed on the offer.

    • number_descriptionstring

      Description of the number format of the offer.

    • deletedboolean

      The accounting type is deleted.

Responses

200Update an OfferAccountingTypeOfferAccountingType

Show fields (7)
  • idinteger

    Primary key of the offer accounting type. Internal ID.

  • namestringrequired

    Name of the accounting type.

  • cancelled_namestring

    Name used when an offer of this type is canceled.

  • typestringrequired

    Type of the accounting type, for example offer or contract.

  • conditionsstring

    Conditions printed on the offer.

  • number_descriptionstring

    Description of the number format of the offer.

  • deletedboolean

    The accounting type is deleted.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "number_description": "Text",
    "conditions": "string"
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "type": "string",
  "id": 42,
  "cancelled_name": "Beispiel",
  "number_description": "Text",
  "conditions": "string",
  "deleted": true
}